gsasl_client_step_base64(3)

NAME
gsasl_client_step_base64 - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_client_step_base64(Gsasl_session * sctx, const char * b64input, char * b64output, size_t b64output_len);

ARGUMENTS

Gsasl_session * sctx
    libgsasl client handle.

const char * b64input
    input base64 encoded byte array.

char * b64output
    output base64 encoded byte array.

size_t b64output_len
    size of output base64 encoded byte array.

DESCRIPTION
This is a simple wrapper around gsasl_client_step() that base64 decodes the input and base64 encodes the output.

RETURN VALUE
See gsasl_client_step().

DEPRECATED
Use gsasl_step64() instead.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.